
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>DotNetNuke Skinning Whitepaper(总揽部分) / iVAN</title>

    <meta name="description" content="DotNetNuke Skinning Whitepaper(总揽部分) DotNetNuke崇尚简单原则,简单在不同的应用领域有不同的解释,在DotNetNuke中,我们的目标是使复杂的皮肤体系有一个人性化的表现--在使用和管理上简易方便.另外,性能是任何web应用程序的一个关键的问题,因此,我们在这个标准中多次强调这一点.好消息是在DotNetNuke 的皮肤体系中兼具优越的性能和简易性,这在一些案例中已经被证明. 在底层技术上,ASP.NET用户控件明显优越于模版管理.因为用户控件是经过编译的,这在性能上明显高于解释型语言.从后台编码的业务逻辑中提取表现层也是一">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">DotNetNuke Skinning Whitepaper(总揽部分)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>DotNetNuke崇尚简单原则，简单在不同的应用领域有不同的解释，在DotNetNuke中，我们的目标是使复杂的皮肤体系有一个人性化的表现——在使用和管理上简易方便。另外，性能是任何web应用程序的一个关键的问题，因此，我们在这个标准中多次强调这一点。好消息是在DotNetNuke 的皮肤体系中兼具优越的性能和简易性，这在一些案例中已经被证明。</p>
<p>在底层技术上，ASP.NET用户控件明显优越于模版管理。因为用户控件是经过编译的，这在性能上明显高于解释型语言。从后台编码的业务逻辑中提取表现层也是一个关键的特点。</p>
<p>为了使创建皮肤对web设计者来说尽可能的简单而且灵活，我们决定使用纯粹的HTML来定义皮肤。这样做的好处是设计者可以使用他们习惯的工具来创建和维护皮肤。我们定义了一些占位符来将皮肤对象从静态标记中分离出来，设计者可以在设计完成后插入到他们的皮肤中。占位符就是如[TOKEN] 一样的简单文本，它和皮肤对象是一一对应的。为了减轻在替换过程中的性能损失，我们建立了一套简单的皮肤上传机制来进行这种替换生成可以直接由DotNetNuke表现出来的用户控件。这个预处理仅在皮肤上传过程中执行一次。这个方法让我们享受用户控件在性能上的优势而且满足了web设计者与web开发者独立开发的需求。</p>
<p>在布局方面，DotNetNuke允许皮肤设计者自由的组织他们想要的页面布局。为了将内容模块插入页面，设计者可以创建任意数量的可以放置模块的内容栏。这种自由的方法提供了在界面设计上的灵活性，但同时也在无缝集成即插即用的皮肤系统上增加了一定的复杂性。为了达到真正的即插即用，每个皮肤的布局，名称，内容栏的数量必须是协调的。</p>
<p>大多数皮肤解决方案都存在一个弱点，那就是皮肤组件总是去定义他自己的布局和外观表现。在DotNetNuke 中，内容模块向这种体系提出了强有力的挑战，通过复杂的内容模块和大量的函数来表达一个单一的控件，使得控件至少包含了一部分布局特性。这就严格限制了他的使用，必须依赖于皮肤的指定区域 ( 比如他可以仅被插入到一个大的皮肤栏目中)。更糟糕的是如果一个内容模块包含静态的文字，颜色，图片或者样式，这就更限制了他在皮肤解决方案中的作用。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-17 01:10:39</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e6%a8%a1%e5%9d%97/" title="模块">模块</a>, <a href="https://www.iamivan.net/tag/%e5%b8%83%e5%b1%80/" title="布局">布局</a>, <a href="https://www.iamivan.net/tag/%e7%9a%ae%e8%82%a4/" title="皮肤">皮肤</a>, <a href="https://www.iamivan.net/tag/%e6%8e%a7%e4%bb%b6/" title="控件">控件</a>, <a href="https://www.iamivan.net/tag/dotnetnuke/" title="dotnetnuke">dotnetnuke</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>DotNetNuke Skinning Whitepaper(总揽部分)的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/jbElEPz.html" rel="bookmark">DotNetNuke Skinning Whitepaper&lpar;皮肤制作部分&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				制作皮肤没有特定的顺序,但如果按如下顺序操作会更好. 设置皮肤开发环境 为了简化皮肤的开发并加快后续打包的速度,建议按如下的文件结构组织文件 \Skins \SkinName ( 你开发的皮肤包的自定义名称 ) - ( 这里放要发布的皮肤包的zip文件) \containers ( this is a static name to identify the container files for the skin package ) - ( 与容器相关的所有资源文件 ) \skins ( thi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2y8K4z.html" rel="bookmark">DotNetNuke Skinning Whitepaper&lpar;页面处理部分&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				DotNetNuke 使用单一的 ASPX 页面 ( Default.aspx ) 来展示所有的控件和内容.这样做的好处有两个.首先由户界面管理逻辑集中到了一个单一的页面上,其次是坚少了应用程序的入口,增强了方案的安全性.Default.aspx只有很有限的功能 –包含页面管理的&lt;HEAD&gt; 元素.包含用来放置皮肤的占位符.当用户第一次访问DotNetNuke 应用程序的时候, 首先检查从用户浏览器发来的 URL 和 request header(怎么翻??), 确定所用的皮肤. 这个过程需要			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MY29K5p.html" rel="bookmark">DotNetNuke Skinning Whitepaper&lpar;术语与win客户端程序部分&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				翻译:术语 术语 &quot;Skinning(皮肤)&quot;是一个很难用语言解释清楚的东西,简单的说,一种皮肤体系提供给你一个静态的布局,但允许你修改颜色和样式甚至可以用你的图片代替原有的图片,另外一种皮肤体系则拥有允许你自定义除了内容以外的任何外观上的表现.这两种手段有着明显的区别,你需要根据你的商务需要去选择最适合你的应用程序的解决方案. Windows 客户端程序 皮肤技术在Windows客户端程序中已经流行了相当一段时间了,这或许会让你认为不需要太大努力就可以将同样的皮肤体系运用在你的web			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK7y65b.html" rel="bookmark">DotNetNuke Skinning Whitepaper&lpar;容器创建部分&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				容器的创建 根据早期的想法,容器也属于一种可以应用于内容模块的皮肤定义.容器如皮肤一样被精确的定义其外观,不同的是两者的设置是不一样的. 比起皮肤唯一额外的限制是在创建容器时行为控件必须被包含在容器的皮肤.行为控件是DotNetNuke一个新的特性,它扮演一个将内容模块功能性与门户框架连接起来的角色.行为控件实质上是一个让内容模块功能性表现出来的一个用户界面控件.它的主要功能包括:能够管理模块在内容栏目中的位置,能够编辑模块的设置.同时具有对特定模块自定义的功能的能力,允许用户编辑内容以及导航到			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLOo95M.html" rel="bookmark">DotNetNuke Skinning Whitepaper&lpar;皮肤上传部分&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				皮肤上传 一旦基于ASCX文件格式的可以执行的皮肤被加入到ASPX页面中,一些皮肤文件中的恶意脚本可能危害到整个系统.基于这个考虑,主机拥有对主机或者网站进行皮肤上传的授权功能.用HOST账户登录,选择主机栏目下的主机设置,你可以看到这个选项.如果该选项被设置成Portal(默认),那么网站的管理者可以不受到主机的干涉上传自己网站的皮肤. 任何文件上传的功能都被集中在DotNetNuke 中网站管理或主机管理下的文件管理栏目.在网站管理下的文件管理中上传皮肤则这个皮肤仅适用于该站点,而如果在主机			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDA5OXb.html" rel="bookmark">DotNetNuke Skinning Whitepaper&lpar;皮肤管理与皮肤预览部分&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				皮肤管理 在DotNetNuke中,皮肤可以以多种等级运用.类属选择控件用来表现站点用户界面不同区域可以运用的皮肤.每个站点可以像主机皮肤一样使用自己的皮肤.皮肤以子皮肤可以覆盖父皮肤的等级机制来进行配置.比如说,运用于频道级别的皮肤总是取代门户级别的皮肤. 主机级别 主机级别的皮肤运用于主机的所有站点.他们可以由超级用户在主机配置中设置.用户可以配置前台站点和后台管理界面的皮肤或者容器. 站点级别 站点级别的皮肤运用于特殊的站点,他们可以由该站点管理员在站点设置中设置.用户可以配置前台站点和后			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqLaXab.html" rel="bookmark">DotNetNuke Skinning Whitepaper&lpar;XCOPY 部署部分&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				XCOPY 部署 在DotNetNuke 2.2.0中,增加了一个新的特性就是在不登录应用程序的情况在在主机级别配置皮肤和容器.当你是一个主机管理员并希望提供给你的用户一些心皮肤,或者你觉得用FTP上传皮肤比用户界面更加方便,或者你想在本机测试你的新皮肤的时候,这是相当有用的一个特性.如何使用这个特性?你只须拷贝你的皮肤或者容器包到应用程序一个适当的文件夹下,应用程序将马上识别到这个文件并执行必要的安装程序.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5A256p.html" rel="bookmark">DotNetNuke Skinning Whitepaper&lpar;DotNetNuke部分&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在DotNetNuke 1.0.0到 1.0.10版本中,仅具有一个相对简单的皮肤处理机制,它允许用户通过修改网站的LOGO,颜色和样式来产生一个自定义程度比较低的网站.但不用多久,DotNetNuke开发组就意识到这样的机制无法满足大多数的表现层要求,于是启动了多个项目来实现更具有活力的皮肤解决方案. 不幸的是,在最佳解决方案的看法上具有很多不同的观点,需求分析的进度因此而停滞不前.大部分这些观点都带来了技术实现方案并且不久又有大量的关于皮肤体系的有价值的建议在社区中被提出--这些观点都有他们			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk2aOwM.html" rel="bookmark">DotNetNuke Skinning Whitepaper&lpar;文件组织部分&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文件组织皮肤可以应用到主机.站点或者分页级别. 皮肤也可以应用到模块级别,但这时我们称其为容器.所有的皮肤文件保存在portals文件夹下.有一个名为_default的特殊文件夹代表主机的文件夹,然而每一个站点都一起在数据库中的ID为名字有各自的文件夹.这样的结构使得整个网站中需要读写权限的文件夹集中到一个单一的文件夹里.同时使得文件的物理组织和应用程序当中的逻辑应用联系起来,这样就不需要外部数据库支持就可以管理两者之间的关系. 皮肤和容器可以包含不限数量的子文件夹– 每个文件夹代表构成皮肤必须			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMywglz.html" rel="bookmark" class="title">string-struts注解后台传值问题</a>
					<div>
						问题描述 struts注解后台传值问题 @Action(value=&quot;&quot;test&quot;&quot; results={@Result(name=&quot;&quot;suc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRDkBz.html" rel="bookmark" class="title">在线扩容LVM硬盘容量</a>
					<div>
						原创作品,允许转载,转载时请务必以超链接形式标明文章 原始出处 .作者信息和本声明.否则将追究法律责任.http://navyaijm.blog.51cto.com/4647068/821329 上次 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3n4wz.html" rel="bookmark" class="title">XML、Web服务和&period;NET框架</a>
					<div>
						.net框架|web|web服务|xml 应用程序开发技术正发生着一次质的飞跃,从根本上大幅度提高开发人员的生产效率,它开启了一道通向全新概念的应用程序的大门. 在过去,开发人员一直通过集成本地系统服 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGld5p.html" rel="bookmark" class="title">tessafe&period;sys 蓝屏怎么解决</a>
					<div>
						方法一: 驱动名称:TesSafe.sys 是腾讯公司出品的,用来保护QQ游戏的驱动文件 文件位于:C:WINDOWSsystem32TesSafe.sys 解决方法:用记事本打开该文件,将里面显示的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5o7gDb.html" rel="bookmark" class="title">电脑经常死机怎么办</a>
					<div>
						  经常死机可能是软硬件冲突,病毒等造成的 1.先关机并切断电源,拔掉外接设备(如:U盘,打印机等),键盘.鼠标.显示器除外 2.建议请操作经验丰富的亲友,在断电情况下去掉自行加装的部件(如:内存,显 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8jKAp.html" rel="bookmark" class="title">如何找回SecureCRT密码</a>
					<div>
						session保存位置         secureCRT将每个session的配置文件保存在C:\Documents and Settings\Administrator\Application D ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4298qM.html" rel="bookmark" class="title">C&num; 系统应用之清除Cookies、IE临时文件、历史记录</a>
					<div>
						本文主要是项目&quot;个人电脑使用记录清除软件&quot;系类文章中关于清除浏览器Cookies.IE临时文件.最近使用历史记录等内容.该篇文章的基本思想路线是首先了解上网历史记录的Windows ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Eqr3M.html" rel="bookmark" class="title">比人工还准确！看深度学习如何对源码进行分类</a>
					<div>
						编程语言是软件开发行业的主要工具.自20世纪40年代以来,已经出现了数百种编程语言,并且每天都有大量的各种编程语言的代码被推送到代码库中. 我们认为,根据代码识别编程语言的源代码分类器将是一个非常有用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1EqW8M.html" rel="bookmark" class="title">移动开发者的热情正在被进一步点燃</a>
					<div>
						来自艾媒的数据预测,2012年Android开发者数量将达到116.31万,2011年这个数字是78.42万,呈现出明显的增长态势.而DCCI与百度开发者中心的一项联合调查显示,高昂成本是开发者目前最 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLma9kz.html" rel="bookmark" class="title">link环境下制作一个网盘软件，如何生成别的网盘的下载链接？</a>
					<div>
						问题描述 link环境下制作一个网盘软件,如何生成别的网盘的下载链接? link环境下制作一个网盘软件,如何生成别的网盘的下载链接? 解决方案 先要上传文件,然后才有链接.光生成链接有什么用.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQvODp.html" rel="bookmark" class="title">excel-使用jxl把Excel的数据导入到数据库中的问题</a>
					<div>
						问题描述 使用jxl把Excel的数据导入到数据库中的问题 如果有Excel中值为空的话,导入到数据库中报错.怎么改? 数据库中的该列是允许为空的. 解决方案 JXL导入EXCEL文件到数据库 1.导 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRPWgz.html" rel="bookmark" class="title">数据层扩展包EFCachingProvider 总结</a>
					<div>
						  前不久学习了&lt;EFCachingProvider&gt;,该扩展包不但可以用于EntityFramework的扩展,所有与数据库连接相关的应用程序都可以使用类似的方案进行扩展.今天做个小的总 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwyeyM.html" rel="bookmark" class="title">《社会智能与综合集成系统》&mdash;第2章2&period;4节智能系统及其应用</a>
					<div>
						2.4 智能系统及其应用 社会智能与综合集成系统 机器智能的发展过程中,专家系统的工作在1975年-1985年这10年间被机器智能的专家们引以自豪.自从1977年举行的人工智能会议上提出知识工程以来, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxVlmb.html" rel="bookmark" class="title">mybatis-如何通过MyBatis获取mysql存储过程返回的不确定个数的多个结果集？</a>
					<div>
						问题描述 如何通过MyBatis获取mysql存储过程返回的不确定个数的多个结果集? (网上搜到的案例,都是固定个数的多个结果集的场景,比如这种:http://www.iteye.com/proble ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNn7LmM.html" rel="bookmark" class="title">《C语言编程魔法书：基于C11标准》&mdash;&mdash;2&period;8　移位操作</a>
					<div>
						2.8 移位操作 现代处理器的计算单元中一般都会包含移位器.移位器往往能执行算术左移(Arithmetic Shift Left).算术右移(Arithmetic Shift Right).逻辑左移( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrqeg6b.html" rel="bookmark" class="title">springmvc-关于spring的autowire注解的疑问</a>
					<div>
						问题描述 关于spring的autowire注解的疑问 autowire注解在不指定byname和bytype的情况下是怎么查找bean的.是先按照bytype查找,在按照byname查找吗?还是仅按 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqRdVp.html" rel="bookmark" class="title">c&num; data diet-当时间超过一定范围时DateEdiet无法设置，如何写&quest;</a>
					<div>
						问题描述 当时间超过一定范围时DateEdiet无法设置,如何写? 比如谁,当时间超过今天时,点击明天的时间,时间设定为今天(不可能超过今天) 解决方案 你在代码里判断一下,如果点击到了大于今天的时间 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4eryLb.html" rel="bookmark" class="title">求一个简单地登录注册系统就行</a>
					<div>
						问题描述 急用啊,各位大神拜托了! 解决方案 解决方案二:51aspx随便下载个都有解决方案三:Referhere:解决方案四:VS2012,直接建个MVC就带登录注册功能解决方案五:用户注册实例// ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0OlAp.html" rel="bookmark" class="title">&num;创建LVM物理和逻辑卷</a>
					<div>
						问题描述 解决方案 解决方案二:pvcreate是创建的分区为物理卷,你要先给磁盘分区.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvn2LaM.html" rel="bookmark" class="title">登录 增删改查-初学者求一个JSP对数据库进行登录并增删改查的代码</a>
					<div>
						问题描述 初学者求一个JSP对数据库进行登录并增删改查的代码 A 注:(发送失败的短信的存储表格) create table A ( list_id VARCHAR2(40) not null, ta ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWddJz.html" rel="bookmark" class="title">jquery鼠标放上去显示悬浮层即弹出定位的div层&lowbar;jquery</a>
					<div>
						复制代码 代码如下: &lt;script language=&quot;javascript&quot; src=&quot;jquery-1.4.2.min.js&quot;&gt;&lt;/sc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0NYY6z.html" rel="bookmark" class="title">Android开发中实现IOS风格底部选择器（支持时间 日期 自定义）&lowbar;Android</a>
					<div>
						本文Github代码链接 https://github.com/AndroidMsky/AndoirdIOSPicker 先上图吧: 这是笔者最近一个项目一直再用的一个选择器库,自己也在其中做了修改, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1wAWb.html" rel="bookmark" class="title">ActiveMQ在C&num;中的应用示例分析&lowbar;C&num;教程</a>
					<div>
						本文实例讲述了ActiveMQ在C#中的应用.分享给大家供大家参考,具体如下: ActiveMQ是个好东东,不必多说.ActiveMQ提供多种语言支持,如Java, C, C++, C#, Ruby, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmXyXz.html" rel="bookmark" class="title">Android实现语音数据实时采集、播放&lowbar;Android</a>
					<div>
						最近做的项目是和语音实时采集并发送,对方实时接收并播放相关,下面记录下实现的核心代码. 很多Android开发者应该知道android有个MediaRecorder对象和MediaPlayer对象,用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QPQWp.html" rel="bookmark" class="title">光伏扶贫难题待解 民生工程盼绿色通道</a>
					<div>
						光伏扶贫是实施精准扶贫.实现精准脱贫的新途径.根据国务院印发的&lt;&quot;十三五&quot;脱贫攻坚规划的通知&gt;,到2020年,将有5万个建档立卡贫困村实施光伏扶贫,保障280万无劳动能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6YqBNb.html" rel="bookmark" class="title">MVC5 &plus; EF6 入门完整教程</a>
					<div>
						原文:MVC5 + EF6 入门完整教程 第0课 从0开始 ASP.NET MVC开发模式和传统的WebForm开发模式相比,增加了很多&quot;约定&quot;. 直接讲这些 &quot;约定&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5YEQAp.html" rel="bookmark" class="title">物联网：紧随云计算的大潮</a>
					<div>
						人们还没有彻底搞清楚究竟什么是云计算的时候,物联网的大潮已经紧紧随之而来,各大云计算厂商都摩拳擦掌,蠢蠢欲动准备在这波革命浪潮中分一杯羹,物联网前景虽然美妙,但是归根结底云计算才是物联网发展的基石,首 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVdjKnM.html" rel="bookmark" class="title">如何加强智慧城市国际合作？</a>
					<div>
						近年来,美国.欧盟.新加坡.印度等国家与地区,围绕智慧城市科技研发.应用创新.基础环境展开新一轮的智慧城市政策筹划和部署.从具体政策措施上看,构建产学研用多方协同的创新网络与产业联盟,积极推广智慧城市 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baqxVNb.html" rel="bookmark" class="title">管理员应首先作到的几点</a>
					<div>
						管理员应首先作到以下几点:1.对重要数据和资料完全进行备份,并将备份所用的存储设备单独放置,而不是连在互联网上,这是网站或系统遭到恶意攻击后最好的解救方法.2.特别重要的网站要做到24小时有网络管理员 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmdO63M.html" rel="bookmark" class="title">如何批量替换字符流中的指定字符串？</a>
					<div>
						问题描述 代码简例如下:FileReaderfr=newFileReader(&quot;c:\abc.txt&quot;);FileWriterfw=newFileWriter(&quot;c:\a ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
